Bug 1572375 - Review Request: sos-collector - renaming the clustersos package
Summary: Review Request: sos-collector - renaming the clustersos package
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Robert-André Mauchin 🐧
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-26 21:18 UTC by Jake Hunsaker
Modified: 2018-05-11 01:23 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-10 19:15:54 UTC
Type: Bug
zebob.m: fedora-review+


Attachments (Terms of Use)

Description Jake Hunsaker 2018-04-26 21:18:21 UTC
This is a review for a renaming of the 'clustersos' package.

Spec URL: https://github.com/sosreport/sos-collector/blob/master/sos-collector.spec

SRPM URL: http://people.redhat.com/jhunsake/sos-collector/sos-collector-1.0-1.fc27.src.rpm

Description: 

sos-collector is a utility designed to capture sosreports from multiple nodes 
at once and collect them into a single archive. If the nodes are part of 
a cluster, profiles can be used to configure how the sosreport command 
is run on the nodes.

Fedora Account System Username: turboturtle

Comment 1 Robert-André Mauchin 🐧 2018-04-26 22:07:29 UTC
 - Not necessary:

mkdir -p ${RPM_BUILD_ROOT}%{license}
install -m444 ${RPM_BUILD_DIR}/%{name}-%{version}/LICENSE ${RPM_BUILD_ROOT}%{license}

 - Just use:

install -p -m644 man/en/sos-collector.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/

   The current dir is already where the archive is unpacked.
   Notice the -p to keep timestamps.

 - You need to provide Obsoletes and Provides in case of a rename:

Provides: clustersos = %{version}-%{release}
Obsoletes: clustersos < 1.2.2-2

Comment 2 Robert-André Mauchin 🐧 2018-04-26 22:10:10 UTC
 - Also you can use %?python_enable_dependency_generator to compute the Requires automatically.
   See https://fedoraproject.org/wiki/Changes/EnablingPythonGenerators

Comment 3 Jake Hunsaker 2018-04-27 15:29:27 UTC
I've updated the spec file with your suggestions. The new version also includes logic to allow EL builds for python2, but Fedora remains a python3 build.


New spec file: https://github.com/sosreport/sos-collector/blob/master/sos-collector.spec

Comment 4 Robert-André Mauchin 🐧 2018-04-27 19:18:14 UTC
 - %?python_enable_dependency_generator won't work on EL, only in F28+

 - Source0 is 404 for me, it seems the correct URL is:

Source0: http://people.redhat.com/jhunsake/sos-collector/%{name}-%{version}.tar.gz

 - The obsolete/provides info I have given you are wrong. Provides should be > to Obsoletes but you reset the versionning with the rename. See https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.2FReplacing_Existing_Packages


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "GPL (v2 or later)", "Unknown or generated". 11 files have
     unknown license. Detailed output of licensecheck in
     /home/bob/packaging/review/sos-collector/review-sos-
     collector/licensecheck.txt
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: sos-collector-1.0-1.fc29.noarch.rpm
          sos-collector-1.0-1.fc29.src.rpm
sos-collector.noarch: W: spelling-error Summary(en_US) sosreports -> misreports, reexports, presorts
sos-collector.noarch: W: spelling-error %description -l en_US sosreports -> misreports, reexports, presorts
sos-collector.noarch: W: spelling-error %description -l en_US sosreport -> misreport, presort
sos-collector.noarch: W: self-obsoletion clustersos < 1.2.2-2 obsoletes clustersos = 1.0-1.fc29
sos-collector.src: W: spelling-error Summary(en_US) sosreports -> misreports, reexports, presorts
sos-collector.src: W: spelling-error %description -l en_US sosreports -> misreports, reexports, presorts
sos-collector.src: W: spelling-error %description -l en_US sosreport -> misreport, presort
2 packages and 0 specfiles checked; 0 errors, 7 warnings.

Comment 5 Jake Hunsaker 2018-04-27 19:31:44 UTC
(In reply to Robert-André Mauchin from comment #4)
>  - The obsolete/provides info I have given you are wrong. Provides should be
> > to Obsoletes but you reset the versionning with the rename. See
> https://fedoraproject.org/wiki/Packaging:Guidelines#Renaming.
> 2FReplacing_Existing_Packages
> 

So if I understand correctly instead of setting sos-collector back to 1.0, it should be (e.g.) 1.3 from the get-go? I don't have a problem with this, just want to make sure this gets handled properly.

Comment 6 Robert-André Mauchin 🐧 2018-04-27 19:43:07 UTC
   Yes, I believe it should have continued the versioning where it was left off before the rename. Alternatively you could set a fictional fixed Provides with a version superior to Obsoletes:

Provides: clustersos = 1.3-1
Obsoletes: clustersos < 1.2.2-2

   This will work too.

Comment 7 Jake Hunsaker 2018-04-27 19:58:35 UTC
Ok, I've corrected the versioning to follow from clustersos, and removed the dependency generator instead going with static Requires.

Fixed the typo in the Source0 link.

https://github.com/sosreport/sos-collector/blob/master/sos-collector.spec

http://people.redhat.com/jhunsake/sos-collector/sos-collector-1.3.tar.gz

Comment 8 Robert-André Mauchin 🐧 2018-04-27 20:10:53 UTC
Ok, package approved.

Comment 9 Gwyn Ciesla 2018-04-27 21:54:01 UTC
(fedrepo-req-admin):  The Pagure repository was created at https://src.fedoraproject.org/rpms/sos-collector

Comment 10 Fedora Update System 2018-04-30 18:25:21 UTC
sos-collector-1.3-1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-00b30b78a9

Comment 11 Fedora Update System 2018-04-30 18:25:29 UTC
sos-collector-1.3-1.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-82a10ae8fc

Comment 12 Fedora Update System 2018-05-01 11:59:32 UTC
sos-collector-1.3-1.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-82a10ae8fc

Comment 13 Fedora Update System 2018-05-01 14:13:20 UTC
sos-collector-1.3-1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-00b30b78a9

Comment 14 Fedora Update System 2018-05-07 20:10:16 UTC
sos-collector-1.3-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-82a10ae8fc

Comment 15 Fedora Update System 2018-05-07 20:11:50 UTC
sos-collector-1.3-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-00b30b78a9

Comment 16 Fedora Update System 2018-05-10 01:27:39 UTC
sos-collector-1.3-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-00b30b78a9

Comment 17 Fedora Update System 2018-05-10 14:03:20 UTC
sos-collector-1.3-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-82a10ae8fc

Comment 18 Fedora Update System 2018-05-10 19:15:54 UTC
sos-collector-1.3-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2018-05-11 01:23:33 UTC
sos-collector-1.3-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.